package com.jkcredit.invoice.hub.model.po.carFreeCarrierBillStart;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/16 23:12
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_car_free_carrier_bill_start")
public class CarFreeCarrierBillStartPo implements Serializable {
    private static final long serialVersionUID = -3628738019259033107L;

    @Id
    @TableId(type = IdType.AUTO)
    private Integer id;
    // 运单编号
    private String num;
    // 车牌号
    private String plateNumber;
    // 车牌颜色
    private Integer plateColor;
    // 运单开始时间
    private String startTime;
    // 运单开始地址
    private String sourceAddr;
    // 运单目的地址
    private String destAddr;
    // 运单预计完成时间
    private String predictEndTime;
    // 运单费用
    private Long fee;
    // 发票抬头类型
    private Integer titleType;
    // 税号
    private String taxPlayerCode;
    // 运单状态
    private Integer status;
    // 是否为历史运单
    private Integer isHistory;
    // 用户id
    private Long userId;
    // 创建时间
    private Date createTime;
    // 更新时间
    private Date updateTime;
    // 删除标记
    private Integer activated;
}
